Bug 2080197 - etcd leader changes produce test churn during early stage of test
Summary: etcd leader changes produce test churn during early stage of test
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.11
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.11.0
Assignee: Dean West
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks: 2080198
TreeView+ depends on / blocked
 
Reported: 2022-04-29 08:39 UTC by Michal Fojtik
Modified: 2022-08-10 11:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2080198 (view as bug list)
Environment:
Last Closed: 2022-08-10 11:09:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:5069 0 None None None 2022-08-10 11:09:32 UTC

Description Michal Fojtik 2022-04-29 08:39:41 UTC
Description of problem:

etcd leader changes produce a lot of churn during initial stages of CI jobs which cause a false positive and permafailing jobs to happen. This makes reading CI health more complicated and possibly affect customers that install OpenShift to get few alerts during bootstrap and early installation.


Version-Release number of selected component (if applicable):
4.11
4.10.z


How reproducible:

This failure can be seen in dozen jobs via CI search tool, like:

https://testgrid.k8s.io/redhat-openshift-ocp-release-4.10-informing#periodic-ci-openshift-multiarch-master-nightly-4.10-ocp-e2e-remote-libvirt-ppc64le
https://testgrid.k8s.io/redhat-openshift-ocp-release-4.10-informing#release-openshift-ocp-installer-e2e-aws-mirrors-4.10

Comment 2 ge liu 2022-05-17 08:03:30 UTC
We can't find the pr linked in this bug, but after reviewed ci log, it failed only once(05-14) in recent days, compared to failed almost every day, it really improved.

Comment 5 ge liu 2022-06-28 12:56:14 UTC
we have not hit this issue according to comment 2

Comment 6 errata-xmlrpc 2022-08-10 11:09:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069


Note You need to log in before you can comment on or make changes to this bug.